Debian Bug report logs - #717854
RM: orphaned, obsoleted by current libreoffice

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Rene Engelhard <rene@debian.org>

Date: Thu, 25 Jul 2013 16:18:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#717854; Package wnpp. (Thu, 25 Jul 2013 16:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 25 Jul 2013 16:18:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: dmake -- make utility used to build OpenOffice.org
Date: Thu, 25 Jul 2013 18:14:02 +0200
Package: wnpp
Severity: normal

I intend to orphan the dmake package.

The package description is:

$ apt-cache show dmake
Package: dmake
Version: 1:4.12-2
Installed-Size: 312
Maintainer: Debian OpenOffice Team <debian-openoffice@lists.debian.org>
Architecture: amd64
Depends: libc6 (>= 2.3)
Description-en: make utility used to build OpenOffice.org
 Dmake is a make utility similar to GNU make or the Workshop dmake.
 .
 This utility has an irregular syntax but is available for Linux, Solaris, and
 Win32 and other platforms. This version of dmake is a modified version of the
 original public domain dmake, and is used to build OpenOffice.org.
 .
 Dmake features:
   * support for portable makefiles
   * portable across many platforms
   * significantly enhanced macro facilities
   * sophisticated inference algorithm supporting
     transitive closure over the inference graph
   * support for traversing the file system both
     during making of targets and during inference
   * %-meta rules for specifying rules to be used
     for inferring prerequisites
   * conditional macros
   * local rule macro variables
   * proper support for libraries
   * parallel making of targets on architectures
     that support it
   * attributed targets
   * text diversions
   * group recipes
   * supports MKS extended argument passing
     convention
   * directory caching
   * highly configurable
Description-md5: 53afd6772e20ccbe97a7b282a278dd06
Tag: devel::buildtools, interface::commandline, role::program,
 scope::utility, suite::openoffice, works-with::software:source
Section: devel
Priority: extra
Filename: pool/main/d/dmake/dmake_4.12-2_amd64.deb
Size: 149006
MD5sum: 7bbff409fc6194c274359edaddb9b2a6
SHA1: 5d86d6cca069eec19588517a19441bf15097986a
SHA256: 1cf79ad6da2e7eda5052eb3eb42542d9e403209fa1265463b123a8312a1fa294

As the description says. Only used by OpenOffice.org (and then OpenOffice and
LibreOffice).

With LibreOffice 4.1.0 (just uploaded) the nw buildsystem named "gbuild" (which
was there before in (bigger) parts) is complete and thus it only
uses GNU make now -> noneed for dmake -> no interest at all anymore.

I guess if noone wants totake it it should be removed...

Regards,

Rene



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#717854; Package wnpp. (Tue, 22 Oct 2013 16:21:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 Oct 2013 16:21:17 GMT) Full text and rfc822 format available.

Message #10 received at 717854@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Rene Engelhard <rene@debian.org>, 717854@bugs.debian.org
Subject: Re: Bug#717854: O: dmake -- make utility used to build OpenOffice.org
Date: Tue, 22 Oct 2013 18:13:50 +0200
On Thu, Jul 25, 2013 at 06:14:02PM +0200, Rene Engelhard wrote:
> Package: wnpp
> Severity: normal
> 
> As the description says. Only used by OpenOffice.org (and then OpenOffice and
> LibreOffice).
> 
> With LibreOffice 4.1.0 (just uploaded) the nw buildsystem named "gbuild" (which
> was there before in (bigger) parts) is complete and thus it only
> uses GNU make now -> noneed for dmake -> no interest at all anymore.
> 
> I guess if noone wants totake it it should be removed...

Three months have passed, shall we go ahead with the removal?

Cheers,
        Moritz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#717854; Package wnpp. (Wed, 23 Oct 2013 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 23 Oct 2013 06:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 717854@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, 717854@bugs.debian.org
Subject: Re: Bug#717854: O: dmake -- make utility used to build OpenOffice.org
Date: Wed, 23 Oct 2013 08:35:05 +0200
Hi,

On Tue, Oct 22, 2013 at 06:13:50PM +0200, Moritz Muehlenhoff wrote:
> On Thu, Jul 25, 2013 at 06:14:02PM +0200, Rene Engelhard wrote:
> > Package: wnpp
> > Severity: normal
> > 
> > As the description says. Only used by OpenOffice.org (and then OpenOffice and
> > LibreOffice).
> > 
> > With LibreOffice 4.1.0 (just uploaded) the nw buildsystem named "gbuild" (which
> > was there before in (bigger) parts) is complete and thus it only
> > uses GNU make now -> noneed for dmake -> no interest at all anymore.
> > 
> > I guess if noone wants totake it it should be removed...
> 
> Three months have passed, shall we go ahead with the removal?

I am obviously biased, but imho we can do, yes.

Regards,

Rene



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#717854; Package wnpp. (Wed, 23 Oct 2013 17:15:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 23 Oct 2013 17:15:15 GMT) Full text and rfc822 format available.

Message #20 received at 717854@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Rene Engelhard <rene@debian.org>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, 717854@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#717854: O: dmake -- make utility used to build OpenOffice.org
Date: Wed, 23 Oct 2013 19:12:12 +0200
retitle 717854 RM: orphaned, obsoleted by current libreoffice
reassign 717854 ftp.debian.org
thanks

On Wed, Oct 23, 2013 at 08:35:05AM +0200, Rene Engelhard wrote:
> Hi,
> 
> On Tue, Oct 22, 2013 at 06:13:50PM +0200, Moritz Muehlenhoff wrote:
> > On Thu, Jul 25, 2013 at 06:14:02PM +0200, Rene Engelhard wrote:
> > > Package: wnpp
> > > Severity: normal
> > > 
> > > As the description says. Only used by OpenOffice.org (and then OpenOffice and
> > > LibreOffice).
> > > 
> > > With LibreOffice 4.1.0 (just uploaded) the nw buildsystem named "gbuild" (which
> > > was there before in (bigger) parts) is complete and thus it only
> > > uses GNU make now -> noneed for dmake -> no interest at all anymore.
> > > 
> > > I guess if noone wants totake it it should be removed...
> > 
> > Three months have passed, shall we go ahead with the removal?
> 
> I am obviously biased, but imho we can do, yes.

Reassigning to ftp.debian.org for removal.

Cheers,
        Moritz



Changed Bug title to 'RM: orphaned, obsoleted by current libreoffice' from 'O: dmake -- make utility used to build OpenOffice.org' Request was from Moritz Mühlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Wed, 23 Oct 2013 17:15:17 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Moritz Mühlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Wed, 23 Oct 2013 17:15:18 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 27 Oct 2013 12:57:46 GMT) Full text and rfc822 format available.

Notification sent to Rene Engelhard <rene@debian.org>:
Bug acknowledged by developer. (Sun, 27 Oct 2013 12:57:46 GMT) Full text and rfc822 format available.

Message #29 received at 717854-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 717854-close@bugs.debian.org
Cc: dmake@packages.debian.org, dmake@packages.qa.debian.org
Subject: Bug#717854: Removed package(s) from unstable
Date: Sun, 27 Oct 2013 12:55:14 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     dmake |   1:4.12-3 | source, amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc

------------------- Reason -------------------
RoM/RoQA; orphaned; obsoleted by current libreoffice
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors (ftp.debian.org
included) until the next dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717854@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/717854

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Nov 2013 07:37:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:43:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.